<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<html>
  <head>
    <title>Qmail-Scanner Frequently Asked Questions</title>
  </head>

  <body bgcolor="#FFFFFF">
    <h1>Qmail-Scanner Frequently Asked Questions</h1>


    <p></p>

    <ol>
      <li><b>Can't do suid</b>: some perl distributions
have decided that as running suid perl scripts is a rare event, they won't
enable it by default. On these systems this package won't work. Typically
the fix is:<BR>
<pre> 
chown root /usr/bin/suidperl
chmod 4711 /usr/bin/suidperl

</pre>
This will allow you to run setuid perl scripts.</li>
      <li><b>YOU HAVEN'T DISABLED SET-ID SCRIPTS IN THE KERNEL YET</b>: some perl distributions have decided that running suid perl scripts is BAD, and they specifically don't support it. For these systems, you have no option but to either <ol>
	  <li>install perl from source - compiling in setuid support, or</li>
	  <li>install a compiled setuid "wrapper" - which then calls qmail-scanner-queue.pl. Until such time that I can be relatively happy with the security of such C programs, I am not willing to provide such a beast, but I am intending to do so at some stage (hopefully soon). Others using Qmail-Scanner have produced such wrappers...</li>
	</ol>
</li>
      <li><b>Scanner XXX isn't supported</b>. If you can read perl, see how
the other scanners are supported (e.g. sub-uvscan.pl) and write one to match your scanner!
Send me the results and it'll be added! (I cannot justify buying every
scanner in existence just to support it - so I must rely on you for that!)</li>
      <li><b>Syslog reports <pre>perl: error in loading shared
libraries:</pre></b>This is due to Qmail's startup script (e.g.
<b>/etc/rc.d/init.d/qmail</b>) having it's ulimits set too low. There isn't
enough memory available to the process to deal with invoking perl/etc (see
next comment)</li>
      <li><b>Resource Issues</b>: Ensure your Qmail startup script (e.g.
<b>/etc/rc.d/init.d/qmail</b>) has high enough ulimits to allow the extra
load of perl and the virus scanners it calls! Increase via ulimit (or
<b>softlimit</b>) the amount of memory a process can use to ~6M to cover it</li>
      <li><b>How to install Perl modules</b>: I find the CPAN auto-install module to be the easiest way of doing it. e.g. to install Time::HiRes, try<pre> perl -e 'use CPAN; install Time::HiRes'</pre> - now that's sweet :-)</li>
      <li>      <b>AVP is slow</b> Apparently the -V option really slows it down. Removing that from the <i>sub avp_scanner {...}</i> may improve performance at a loss of scanning strength.</li>
      <li>      <b>Can I install over an existing scan4virus/qmail-scanner system?</b>: Yes you can :-). It's what I did. The only downside is that when <b>antivirus-qmail-queue.pl</b> is overwritten by the newer version, any running copies of it would potentially crash. However, this will just lead to a requeue - so no harm done :-). Also, any old copies of <b>antivirus-qmail-queue.pl</b> are replaced with a symbolic link to the new <b>qmail-scanner-queue.pl</b>. After upgrading you must alter your Qmail startup scripts so that <b>QMAILQUEUE=qmail-scanner-queue.pl</b></li>
      <li>      <b>Can I use metamail instead of reformime?</b>: No. metamail used to be supported, but has been found to totally barf on Email containing<i> multipart/alternative</i> MIME attachments - which all HTML Email viruses contain. As such it is <em>not</em> supported.</li>
      <li><b>How do I "patch" Qmail with the QMAILQUEUE patch?</b>: First off, if you're asking that question, then you are in for a learning experience as none of this stuff is intuitive. If you're still willing, then do the following:
	<ul>
	  <li>tar zxvf qmail-1.03.tar.gz</li>
	  <li>patch -p0  &lt; qmailqueue-patch</li>
	</ul>
	That will patch two files under the <b>qmail-1.03/</b> directory. Then you would build as stated in the Qmail documentation.
</li>
    </ol>
    <hr>
    <address><a href="mailto:jhaar@users.sourceforge.net">Jason Haar</a></address>
<p><font size="-3"><b>Last Updated:</b> <?php echo   date ("l dS of F Y h:i:s A",filemtime($SCRIPT_FILENAME)). " GMT"; ?></font>
<P>
  </body>
</html>
