sub avp_scanner {
  &debug("antvir: starting scan of directory \"$scandir/$file_id\"...");
  local($avp_verbose)="-v" if ($DEBUG);
  local($start_avp_time)=[gettimeofday];
  &debug("run $avp_binary  $avp_verbose -V $scandir/$file_id  $extra_file 2>&1");
  $DD=`$avp_binary  $avp_verbose -V $scandir/$file_id $extra_file 2>&1`;
  $avp_status=($? >> 8);
  &debug("--output of avp was:\n$DD--");
  if ( $avp_status > 0 || ($DD =~ /\nTest result: 4/ && $avp_status == 0)) {
    if ($DD =~ /\n\s(.*) infected: (.*)\n/) {
      $virus_description=$2;
      &debug("There be a virus! ($virus_description)");
      $virus_found++;
      $description .= "\n---avp results ---\n$DD";
      $section=$apptype=$save_filename=$filename="";   
    } else {
      #This implies a corrupt set of DAT files or resource problems...
      &tempfail("corrupt scanner/resource problems - exit status $avp_status");
    }
  }
  local($stop_avp_time)=[gettimeofday];
  $avp_time = tv_interval ($start_avp_time, $stop_avp_time);
  &debug("avp: finished scan of dir \"$scandir/$file_id\" in $avp_time secs");
} 

