sub hbedv_scanner {
  &debug("antvir: starting scan of directory \"$scandir/$file_id\"...");
  local($hbedv_verbose)="-v" if ($DEBUG);
  local($start_hbedv_time)=[gettimeofday];
  &debug("run $hbedv_binary  -allfiles -s -tmp. -z $hbedv_verbose $scandir/$file_id  $extra_file 2>&1");
  $DD=`$hbedv_binary  -allfiles -s -tmp. -z $hbedv_verbose -s $scandir/$file_id  $extra_file 2>&1`;
  $DD=~s/\r//g;
  $hbedv_status=($? >> 8);
  &debug("--output of hbedv was:\n$DD--");
  if ( $hbedv_status > 0) {
    if ($DD =~ /(VIRUS.*)\n/) {
      $virus_description=$1;
      &debug("There be a virus! ($virus_description)");
      $virus_found++;
      $description .= "\n---hbedv results ---\n$DD";
      $section=$apptype=$save_filename=$filename="";   
    } else {
      #This implies a corrupt set of DAT files or resource problems...
      &tempfail("corrupt scanner/resource problems - exit status $hbedv_status");
    }
  }
  local($stop_hbedv_time)=[gettimeofday];
  $hbedv_time = tv_interval ($start_hbedv_time, $stop_hbedv_time);
  &debug("hbedv: finished scan of dir \"$scandir/$file_id\" in $hbedv_time secs");
} 

