sub iscan_scanner {
  local($start_iscan_time)=[gettimeofday];
  &debug("iscanner: starting scan of directory \"$scandir/$file_id\"...");
  local($iscan_verbose)="-v" if ($DEBUG);

  &debug("run  $iscan_binary -p/etc/iscan/ -za -a -u -nl $iscan_verbose $scandir/$file_id $extra_file 2>&1");
  $DD=`$iscan_binary -p/etc/iscan/ -za -a -u -nl $iscan_verbose $scandir/$file_id $extra_file 2>&1`;
  $iscan_status=($? >> 8);
  &debug("--output of iscan was:\n$DD--");

  if ( $DD =~ /\*\*\*\s+Found(.*) in file/  ) {
    $virus_description=$1;
    &debug("There be a virus! ($virus_description)");
    $virus_found++;
    #$DD =~ s/\n//g;
    $description .= "\n---iscan results ---\n$DD";
    $section=$apptype=$save_filename=$filename="";
  } elsif ( $iscan_status > 0 ) {
    #This implies a corrupt set of DAT files or resource problems...
    &tempfail("corrupt scanner/resource problems - exit status $iscan_status");
  }
  local($stop_iscan_time)=[gettimeofday];
  $iscan_time = tv_interval ($start_iscan_time, $stop_iscan_time);
  &debug("iscaner: finished scan of dir \"$scandir/$file_id\" in $iscan_time secs");
}
